## Index

### Functions

- arrayBuffer
- blob
- buffer
- json
- text

## Functions

### arrayBuffer

- arrayBuffer(stream: <internal>.Readable | ReadableStream | AsyncIterator<any, any, undefined>): Promise<ArrayBuffer>

- #### Parameters

  - ##### stream: <internal>.Readable | ReadableStream | AsyncIterator<any, any, undefined>

  #### Returns Promise<ArrayBuffer>

### blob

- blob(stream: <internal>.Readable | ReadableStream | AsyncIterator<any, any, undefined>): Promise<Blob>

- #### Parameters

  - ##### stream: <internal>.Readable | ReadableStream | AsyncIterator<any, any, undefined>

  #### Returns Promise<Blob>

### buffer

- buffer(stream: <internal>.Readable | ReadableStream | AsyncIterator<any, any, undefined>): Promise<<internal>.Buffer>

- #### Parameters

  - ##### stream: <internal>.Readable | ReadableStream | AsyncIterator<any, any, undefined>

  #### Returns Promise<<internal>.Buffer>

### json

- json(stream: <internal>.Readable | ReadableStream | AsyncIterator<any, any, undefined>): Promise<unknown>

- #### Parameters

  - ##### stream: <internal>.Readable | ReadableStream | AsyncIterator<any, any, undefined>

  #### Returns Promise<unknown>

### text

- text(stream: <internal>.Readable | ReadableStream | AsyncIterator<any, any, undefined>): Promise<string>

- #### Parameters

  - ##### stream: <internal>.Readable | ReadableStream | AsyncIterator<any, any, undefined>

  #### Returns Promise<string>

Generated using TypeDoc